Scriptname LGE_QuestScript extends Quest

ObjectReference Property LGE_dummyNPC Auto Const
Actor Property PlayerRef Auto Const
ReferenceAlias Property LGE_Crew Auto Const
;Actor Property LGE_Crew Const Auto
Quest Property LGE_Quest Auto Const

;Payment Properties
MiscObject Property Credits Mandatory Const Auto
Message Property LGE_Pay500Message Auto Const
Message Property LGE_Pay10000Message Auto Const
Message Property LGE_Pay30000Message Auto Const
Message Property LGE_Pay60000Message Auto Const
Message Property LGE_Pay100000Message Auto Const
Int PaymentMade = 0

;SKILL PROPERTIES
perk Property Crew_Ship_Piloting Const Auto
Perk Property Crew_Stealth Auto Const
Perk Property Crew_WeightLifting Auto Const
Perk Property Crew_Wellness Auto Const
Perk Property Crew_EnergyWeaponDissipation Auto Const
Perk Property Crew_PainTolerance Auto Const
Perk Property Crew_Concealment Auto Const
Perk Property Crew_Gastronomy Auto Const
Perk Property Crew_Scavenging Auto Const
Perk Property Crew_Theft Auto Const
Perk Property Crew_Leadership Auto Const
Perk Property Crew_Outpost_Management Auto Const
Perk Property Crew_Xenosociology Auto Const
Perk Property Crew_Ballistics Auto Const
Perk Property Crew_Lasers Auto Const
Perk Property Crew_PistolCertification Auto Const
Perk Property Crew_ShotgunCertification Auto Const
Perk Property Crew_Demolitions Auto Const
Perk Property Crew_Incapacitation Auto Const
Perk Property Crew_ParticleBeams Auto Const
Perk Property Crew_RifleCertification Auto Const
Perk Property Crew_Marksmanship Auto Const
Perk Property Crew_SniperCertification Auto Const
Perk Property Crew_Sharpshooting Auto Const
Perk Property CREW_Ship_Astrodynamics Auto Const
Perk Property Crew_Chemistry Auto Const
Perk Property Crew_Geology Auto Const
Perk Property Crew_Medicine Auto Const
Perk Property Crew_Botany Auto Const
Perk Property Crew_Outpost_Engineering Auto Const
Perk Property Crew_AneutronicFusion Auto Const
Perk Property Crew_Ship_Weapons_Ballistic Auto Const
Perk Property Crew_Ship_Weapons_Energy Auto Const
Perk Property Crew_Ship_Payloads Auto Const
Perk Property Crew_Ship_Shields Auto Const
Perk Property Crew_Ship_Weapons_Missile Auto Const
Perk Property Crew_Ship_Weapons_ParticleBeam Auto Const
Perk Property Crew_Ship_StarshipEngineering Auto Const
Perk Property Crew_Robotics Auto Const
Perk Property Crew_Ship_Weapons_EM Auto Const


Event Quest.OnStageSet(Quest LGE_Quest, int auiStageID, int auiItemID)
    Int LGE_QuestStage = LGE_Quest.getstage()
    
EndEvent




;THIS FUNCTION CLEARS THE LGE_Crew alias 

Function ClearCrew()
    LGE_Crew.ClearAndRefillAlias()
EndFunction

;THIS IS THE CHANGE NPC APPEARANCE FUCTION

Function ChangeNPC()
Actor dummyNPC = LGE_dummyNPC as Actor
Actor targetNPC = LGE_Crew.GetActorReference()
LGE_Crew.ClearAndRefillAlias()
If PaymentMade == 1
;copy Player appearance to dummyNPC
dummyNPC.CopyAppearance(PlayerREF)
;Copy Target appearace to Player
PlayerRef.CopyAppearance(targetNPC)
;Open the Enhance menu and wait 1 second
Game.ShowRaceMenu(none, 2, none, none)
debug.MessageBox("Change your crew member to whatever you want them to look like. Save your player's name and pronouns.")
Utility.Wait(1.0)
PaymentMade = 0
;Copy current player appearance to the target
targetNPC.CopyAppearance(PlayerREF)
;Copy AFG_dummyNPC appearace to Player
PlayerRef.CopyAppearance(dummyNPC)
Endif
;END CODE
EndFunction

;THESE ARE THE PAYMENT FUNCTIONS

;pay 500 credits for enhance
Function Paymemt500(int yesno = 0)
;debug.MessageBox("Pay 500!")
;LGE_Pay500Message.show()
yesno = LGE_Pay500Message.show()
If yesno == 1
Game.GetPlayer().RemoveItem(Credits as Form, 500, False, None)
paymentmade = 1
Endif
EndFunction

Function Paymemt10000(int yesno = 0)
;pay 10000 credits for level 1 skill
yesno = LGE_Pay10000Message.show()
If yesno == 1
Game.GetPlayer().RemoveItem(Credits as Form, 10000, False, None)
paymentmade = 1
Endif
EndFunction

Function Paymemt30000(int yesno = 0)
;pay 30000 credits for level 2 skill
yesno = LGE_Pay30000Message.show()
If yesno == 1
Game.GetPlayer().RemoveItem(Credits as Form, 30000, False, None)
paymentmade = 1
Endif
EndFunction

Function Paymemt60000(int yesno = 0)
;pay 60000 credits for level 3 skill
LGE_Pay60000Message.show()
yesno = LGE_Pay60000Message.show()
If yesno == 1
Game.GetPlayer().RemoveItem(Credits as Form, 50000, False, None)
paymentmade = 1
Endif
EndFunction

Function Paymemt100000(int yesno = 0)
;pay 100000 credits for level 4 skill
LGE_Pay100000Message.show()
yesno = LGE_Pay100000Message.show()
If yesno == 1
Game.GetPlayer().RemoveItem(Credits as Form, 100000, False, None)
paymentmade = 1
Endif
EndFunction


;THESE ARE THE RAISE SKILL FUNCTIONS

Function RaiseNPCpilot()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ship_Piloting)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCStealth()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Stealth)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCWeightLifting()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_WeightLifting)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCWellness()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Wellness)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCEnergyDissipation()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_EnergyWeaponDissipation)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCPainTolerance()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_PainTolerance)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCConcealment()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Concealment)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCGastronomy()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Gastronomy)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCScavenging()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Scavenging)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCTheft()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Theft)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCLeadership()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Leadership)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCOutpostManagement()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Outpost_Management)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCXenosociology()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Xenosociology)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCBallistics()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ballistics)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCLasers()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Lasers)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCPistolCert()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_PistolCertification)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCShotgunCert()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_ShotgunCertification)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCDemolitions()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Demolitions)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCIncapacitation()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Incapacitation)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCParticleBeams()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_ParticleBeams)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCRifleCert()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_RifleCertification)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCMarksmanship()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Marksmanship)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCSniperCert()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_SniperCertification)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCSharpshooting()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Sharpshooting)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCAstrodynamics()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(CREW_Ship_Astrodynamics)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCGeology()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Geology)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCMedicine()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Medicine)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCBotany()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Botany)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCOutpostEngineering()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Outpost_Engineering)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCAneutronicFusion()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_AneutronicFusion)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCBallisticWeapons()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ship_Weapons_Ballistic)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCEnergyWeapons()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ship_Weapons_Energy)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCMissileWeapons()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ship_Weapons_Missile)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCParticleBeamWeapons()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ship_Weapons_ParticleBeam)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCEMWeapons()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ship_Weapons_EM)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCPayloads()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ship_Payloads)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCShields()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ship_Shields)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCRobotics()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Robotics)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCEngineering()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Ship_StarshipEngineering)
PaymentMade = 0
Endif
EndFunction

Function RaiseNPCChemistry()
If PaymentMade == 1
Actor targetNPC =  LGE_Crew.GetActorReference()
targetNPC.AddPerk(Crew_Chemistry)
PaymentMade = 0
Endif
EndFunction

